/* --- Color Variables --- */
:root {
    --primary-color: rgb(117, 195, 240);
    --button-color: rgb(91, 162, 228);
}

/* --- Title and Chess Image Styles --- */
header {
    text-align: center;
    border-bottom: 5px solid var(--primary-color);
}

#logo {
    height: 200px;
    width: 200px;
    vertical-align: middle;
    padding: 1rem 0;
}

.title {
    font-size: 3.5rem;
    display: inline-block;
    vertical-align: middle;
    padding: 0 1rem;
}

/* --- End of Title and Chess Image Styles --- */

/* Main Club Photo Styles */
.slider {
    position: relative;
}

.slider img {
    width: 100%;
    height: 525px;
}

button {
    background: transparent;
    border: none;
    color: white;
    cursor: pointer;
    outline: none;
}

button:hover {
    color: grey;
}

#control-left {
    position: absolute;
    top: 45%;
    left: 10px;
}

#control-right {
    position: absolute;
    top: 45%;
    right: 10px;
}

.location {
    width: 100%;
    text-align: center;
    position: absolute;
    bottom: 10px;
}

.location i {
    color: rgb(184, 180, 180);
    opacity: 0.7;  
}

/* Meeting Information styles */
.meeting {
    text-align: center;
    padding: 1.5rem 0;
    border-bottom: 5px solid var(--primary-color);
}

.meeting p {
    margin-bottom: 1.8rem;
}

.wrapper {
    position: relative;
}

.wrapper h2 {
    margin-top: 0;
}

.wrapper p {
    position: relative;
    width: 400px;
    margin: 0 auto 1.5rem auto;
}

.map {
    position: absolute;
    color: var(--primary-color);
    bottom: 0;
    right: 0;
}

.map:hover {
    color: var(--button-color);
}

.tournaments {
    text-decoration: none;
    background: transparent;
    padding: 0.5rem 1rem;
    border: 2px solid var(--button-color);
    color: var(--button-color);
    border-radius: 2px; 
 }

.tournaments:hover {
    background: var(--button-color);
    color: white;
}
/* End of Meeting Information styles */

/* Contact Card Information styles */
.contact-us{
    text-align: center;
    height: 40rem;
}

.background {
    margin: 0 auto 1rem auto;
    border: 2px solid var(--primary-color);
    height: 500px;
    width: 350px;
    -webkit-box-shadow: 5px 5px 8px #888888;
            box-shadow: 5px 5px 8px #888888;
    position: relative;
}

.zach {
    background: url('../img/card-img.jpg');/* <--- Add URL here to add an image. Ex: url('photo.jpeg'); */
    background-position: -10px -70px;
    height: 200px;
    width: 200px;
    border-radius: 100px;
    margin: 3rem auto 1rem auto;
}

span {
    font-weight: bold;
}

.card-name{
    font-size: 1.5rem;
}

.footer {
    height: 52px;
    width: 100%;
    background:rgba(117, 195, 240, 0.2);
    position: absolute;
    bottom: 0;
}

.icon {
    color:#3b5998;
    position: absolute;
    bottom: 1.1px;
    right: 148px;
}

.icon:hover,
.icon:active {
    cursor: pointer;
    color: var(--primary-color);
}
/* End of Card Contact Information styles */

/* Mobile and Tablet Layout styles */
@media(max-width: 572px){
    #logo {
        padding: 1rem 0 0 0;
    }

    .title {
        margin-top: 0.5rem;
    }

    .slider img {
        height: 280px;
    }

    .wrapper p {
        width: 360px;
    }

    .map {
        display: none;
    }
    .background {
        width: 320px;
    }
}

@media(max-width: 960px) {
    body {
        width: 100%;
    }

    .title {
        font-size: 2.5rem;
    }

    h2 {
        font-size: 1.2rem;
    }

    #logo {
        height: 100px;
        width: 100px;
    }

    .map {
        
    }

    .card-name {
        font-size: 1.25rem;
    }
}
/* End Mobile and Tablet Layout styles */